Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | List of all members
CSEditableContactIMAddressField Class Reference

Represents a field in an EditableContact which stores an IM address, inheriting the meta data description of the field from the original contact field. More...

`#import <CSEditableContactIMAddressField.h>`

Inherits CSContactIMAddressField.

## Instance Methods
(void) | - setValue:
| Sets email address value stored in this field. More...
(void) | - setType:
| Sets email address type stored in this field. More...
(void) | - setSubType:
| Sets email address subtype stored in this field. More...

## Additional Inherited Members
Properties inherited from CSContactIMAddressField
NSString * | value
| The handle. More...
NSString * | type
| The type of this handle. More...
NSString * | subType
| The sub-type of this handle. More...
BOOL | isEmpty
Properties inherited from CSContactField
CSCapability * | writeCapability
| Write capability for particular field. More...
CSProviderSourceType | source
| Provider source type for particular field. More...

## Detailed Description

Represents a field in an EditableContact which stores an IM address, inheriting the meta data description of the field from the original contact field.

The editable version of a contact field is obtained from the CSEditableContact class.

## Method Documentation

- (void) setSubType: |  | (NSString *) | subType |

Sets email address subtype stored in this field.

Parameters

  subType | type to be set.

- (void) setType: |  | (NSString *) | type |

Sets email address type stored in this field.

Parameters

  type | type to be set.

- (void) setValue: |  | (NSString *) | value |

Sets email address value stored in this field.

Parameters

  value | value to be set.

The documentation for this class was generated from the following file:

- CSEditableContactIMAddressField.h